libdotconf0_1.3-0.2_amd64.deb


Advertisement

Description

libdotconf0 - Configuration file parser library - runtime files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libdotconf0_1.3-0.2_amd64.deb
Package name libdotconf0
Package version 1.3
Package release 0.2
Package architecture amd64
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 13.99 KB
Installed size 61.00 KB
dot.conf is a simple-to-use and powerful configuration-file parser
library written in C. The configuration files created for dot.conf
look very similar to those used by the Apache Webserver. Even
Container-Directives known from httpd.conf can easily be used in the
exact same manner as for Apache-Modules. It supports various types of
arguments, dynamically loadable modules that create their own
configuration options on-the-fly, a here-documents feature to pass
very long ARG_STR data to your app, and on-the-fly inclusion of
additional config files.

Alternatives

Package Version Architecture Repository
libdotconf0_1.3-0.2_i386.deb 1.3 i386 Ubuntu Main
libdotconf0 - - -

Requires

Name Value
libc6 >= 2.7
multiarch-support -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libdotconf0_1.3-0.2_amd64.deb
Source Package dotconf

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdotconf0 deb package:
    # sudo apt-get install libdotconf0

Files

Path
/usr/lib/x86_64-linux-gnu/libdotconf.so.0
/usr/lib/x86_64-linux-gnu/libdotconf.so.0.0.1
/usr/share/doc/libdotconf0/changelog.Debian.gz
/usr/share/doc/libdotconf0/copyright

Changelog

2014-03-16 - Paul Gevers <elbrus@debian.org>
dotconf (1.3-0.2) unstable; urgency=low
* Non-maintainer upload.
* Upload to unstable
2014-01-01 - Paul Gevers <elbrus@debian.org>
dotconf (1.3-0.1) experimental; urgency=low
[ Paul Gevers ]
* NMU to provide new version with consent of Shane
* Adjust Jason and Luke efforts below such that I feel confortable with
uploading
- New upstream uses pkg-config (Closes: #580831)
* Add watch file
* Don't install libdotconf.la (was a Release Goal for Wheezy)
[ Jason White ]
* New upstream release. (Closes: #637652)
* Add multi-arch support.
* Convert the character encoding of the copyright file to UTF8.
* Add copyright notice (in required form) to copyright file
and identify the current upstream source. (Thanks lintian)
* Update dependencies
- updated substvars
- Build-Depend on dh-autoreconf
* Remove dotconf-config(1) manual page as dotconf-config no longer
exists.
* Specify source format as 3.0 (quilt).
* Update standards-version to 3.9.5 (changes included above)
* Converted d/rules to short dh style to use dh-autoreconf
[ Luke Yelavich ]
* Remove obsolete postinst script (created automatically by dh_makeshlibs)
* Rename the dotconf library package to match the soname
* Added symbols file
* 0001-fix-possible-buffer-overflow-in-get_path.patch:
- Patch taken from upstream git to fix a possible buffer overflow
in get_path
2009-09-10 - Shane Wegner <shane@debian.org>
dotconf (1.0.13-3) unstable; urgency=low
* Correctly make use of realloc, to prevent applications using dotconf from
crashing randomly, Thanks to Eitan Isaacson <eitan@ascender.com> for the
patch. (Closes: #546059)
2006-11-18 - Shane Wegner <shane@debian.org>
dotconf (1.0.13-2) unstable; urgency=low
* Upgrade included libtool to 1.5.22-4. (Closes: #306632)
2004-07-29 - Shane Wegner <shane@debian.org>
dotconf (1.0.13-1) unstable; urgency=low
* New upstream version, Closes: 262100
2003-04-10 - Shane Wegner <shane@debian.org>
dotconf (1.0.12-2) unstable; urgency=low
* Fix dotconf-config manpage conflict.
2003-04-02 - Shane Wegner <shane@debian.org>
dotconf (1.0.12-1) unstable; urgency=low
* New upstream version, Closes: 187317
* Changed section of libdotconf-dev to libdevel.
* DebHelper version 4.
2002-11-25 - Shane Wegner <shane@debian.org>
dotconf (1.0.11-1) unstable; urgency=low
* New upstream version, Closes: 162328
2002-03-11 - Shane Wegner <shane@debian.org>
dotconf (1.0.9-1) unstable; urgency=low
* New upstream version.
* Move to DebHelper v3.
2001-09-16 - Shane Wegner <shane@debian.org>
dotconf (1.0.6-1) unstable; urgency=low
* New upstream version.

See Also

Package Description
libdouble-conversion-dev_2.0.1-3ubuntu2_amd64.deb routines to convert IEEE floats to and from strings (development files)
libdouble-conversion1v5_2.0.1-3ubuntu2_amd64.deb routines to convert IEEE floats to and from strings
libdpdk-dev_2.2.0-0ubuntu7_amd64.deb Data Plane Development Kit (basic development files)
libdpdk0_2.2.0-0ubuntu7_amd64.deb Data Plane Development Kit (runtime libraries)
libdpkg-dev_1.18.4ubuntu1_amd64.deb Debian package management static library
libdpkg-perl_1.18.4ubuntu1_all.deb Dpkg perl modules
libdrm-amdgpu1_2.4.67-1_amd64.deb Userspace interface to amdgpu-specific kernel DRM services -- runtime
libdrm-dev_2.4.67-1_amd64.deb Userspace interface to kernel DRM services -- development files
libdrm-intel1_2.4.67-1_amd64.deb Userspace interface to intel-specific kernel DRM services -- runtime
libdrm-nouveau2_2.4.67-1_amd64.deb Userspace interface to nouveau-specific kernel DRM services -- runtime
libdrm-radeon1_2.4.67-1_amd64.deb Userspace interface to radeon-specific kernel DRM services -- runtime
libdrm2_2.4.67-1_amd64.deb Userspace interface to kernel DRM services -- runtime
libdumbnet-dev_1.12-7_amd64.deb dumb, portable networking library -- development files
libdumbnet1_1.12-7_amd64.deb dumb, portable networking library -- shared library
libdv4-dev_1.0.0-7_amd64.deb software library for DV format digital video (devel files)
Advertisement
Advertisement